<?php

namespace Lucent\Query\BuilderConverter;

use Illuminate\Database\Query\Builder;
use Lucent\Query\Filter\Argument;

readonly class EqualsTrue implements IBuilderConverter
{

    public function __construct(private Argument $argument)
    {
    }

    public function toAndQueryBuilder(Builder $builder): Builder
    {
        return $builder->where($this->argument->field, true);
    }

    public function toOrQueryBuilder(Builder $builder): Builder
    {
        return $builder->orWhere($this->argument->field, true);
    }

}